Bug 3377 - Err Loading Module charset ISO8859-1.so
Err Loading Module charset ISO8859-1.so
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.21a
Other AIX
: P3 major
: none
Assigned To: William Jojo
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 01:13 UTC by ketabchy
Modified: 2007-04-03 23:08 UTC (History)
0 users

See Also:


Attachments
log.nmbd (451.00 KB, text/plain)
2006-01-06 08:39 UTC, ketabchy
no flags Details
log.smbd (108.95 KB, text/plain)
2006-01-06 08:40 UTC, ketabchy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ketabchy 2006-01-05 01:13:40 UTC
Have compiled Samba 3.0.21a with gcc-3.3.2-5 rpm on AIX 5L V. 5.3.0.3.
Integrated the Samba in a Domain with security = domain.
created a usermap file and shares.
the connection to a share froma windows user fail.
[2006/01/05 08:55:40, 2, effective(0, 0), real(0, 0)] auth/auth.c:check_ntlm_password(317)
  check_ntlm_password:  Authentication for user [somewindowsuser] -> [AIXsambauser] FAILED with error NT_STATUS_NO_SUCH_USER

 Only a AIX user can connect to shares. that works on AIX 5.2 and samba 3.0.11 fine.
another problem is: 
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so':       0509-022 Cannot load module /usr/local/samba/lib/charset/ISO8859-1.so.
        0509-026 System error: A file or directory in the path name does not exist.

the charset does not exist.
Comment 1 Gerald (Jerry) Carter 2006-01-05 11:54:40 UTC
Bill, are comments on this one?  Looks like a possible 
misconfiguration rather than a source bug.
Comment 2 William Jojo 2006-01-05 12:19:08 UTC
(In reply to comment #1)
> Bill, are comments on this one?  Looks like a possible 
> misconfiguration rather than a source bug.

Two things come to mind.

1) security=domain (aside from usermap) requires local users if not using winbindd or WINBIND. So behavior would be correct if that were true.

2) only two charset libs I have are CP850 & CP437. "testparm -v | grep charset" might help here.
Comment 3 ketabchy 2006-01-06 01:14:37 UTC
# ./testparm -v | grep charset
Load smb config files from /usr/local/samba/lib/smb.conf
Processing section "[public]"
Loaded services file OK.
WARNING: passdb expand explicit = yes is deprecated
Server role: ROLE_DOMAIN_MEMBER
Press enter to see a dump of your service definitions

        dos charset = ASCII
        unix charset = UTF8
        display charset = LOCALE
# cat ../lib/smb.conf
# Samba config file created using SWAT
# from 10.43.26.69 (10.43.26.69)
# Date: 2006/01/05 10:07:16

[global]
        workgroup = WKGRP
        netbios name = SAMBASRV
        netbios aliases = SAMBASRV
        server string = ORGA
        security = DOMAIN
        password server = winserver1 winserver2
        username map = /usr/local/samba/lib/user.map
        log level = 1
        log file = /var/samba/logs/log.%m
        debug uid = Yes
        announce as = NT Workstation
        preferred master = No
        local master = No
        domain master = No
        wins server = IP1, IP2
        ldap ssl = no
        invalid users = root

[public]
        path = /tmp
        read only = No


this is my Configuratio. It works without winbind on AIX 5.2 ML07 with SAMBA 3.0.11.0. Also USER MAPPING works fine on SAMBA 3.0.11.0 (compiled with same gcc).

when i start the winbindd, the SAMBASERVER will want to be a Domain Contorller in Windows DOMAIN with Native ADS.

Comment 4 William Jojo 2006-01-06 08:07:02 UTC
(In reply to comment #3)
> # ./testparm -v | grep charset
>         dos charset = ASCII
>         unix charset = UTF8
>         display charset = LOCALE

This is the 3.0.21a testparm? Can you get "grep charset include/config.h" in the source tree?

Also what is the value of "echo $LANG"

> # cat ../lib/smb.conf
> # Samba config file created using SWAT
> # from 10.43.26.69 (10.43.26.69)
> # Date: 2006/01/05 10:07:16
> [global]
>         workgroup = WKGRP
>         netbios name = SAMBASRV
>         netbios aliases = SAMBASRV
>         server string = ORGA
>         security = DOMAIN
>         password server = winserver1 winserver2
>         username map = /usr/local/samba/lib/user.map
>         log level = 1
>         log file = /var/samba/logs/log.%m
>         debug uid = Yes
>         announce as = NT Workstation
>         preferred master = No
>         local master = No
>         domain master = No
>         wins server = IP1, IP2
>         ldap ssl = no
>         invalid users = root
> [public]
>         path = /tmp
>         read only = No
> this is my Configuratio. It works without winbind on AIX 5.2 ML07 with SAMBA
> 3.0.11.0. Also USER MAPPING works fine on SAMBA 3.0.11.0 (compiled with same
> gcc).
> when i start the winbindd, the SAMBASERVER will want to be a Domain Contorller
> in Windows DOMAIN with Native ADS.

I believe you about 3.0.11. There have been a *lot* of changes since that version. I cannot pinpoint, however, what change may have affected your environment.

If you could provide some more detailed info on the environment, I'll do my best to sort it out. Perhaps a log level 10 attachment of the failure and the two server configs.

Also when you upgraded, did you copy the secrets.tdb over? The server name and domain remained that same? I'm wondering about a broken trust between the DMS and your DC.
Comment 5 ketabchy 2006-01-06 08:39:53 UTC
Created attachment 1650 [details]
log.nmbd

please keep it saved.thanks
Comment 6 ketabchy 2006-01-06 08:40:42 UTC
Created attachment 1651 [details]
log.smbd

SMBD logfile
Comment 7 ketabchy 2006-01-06 08:41:20 UTC
Yes this is testparm 3.0.21a.

this is the output from grep charset include/config.h (in source dir):
################################################
grep charset config.h
/* Default display charset name */
/* Default dos charset name */
/* Default unix charset name */
/* Whether to build charset_CP437 as shared module */
#define charset_CP437_init init_module
/* Whether to build charset_CP850 as shared module */
#define charset_CP850_init init_module
/* Whether to build charset_macosxfs as shared module */
/* #undef charset_macosxfs_init */
/* Whether to build charset_weird as shared module */
/* #undef charset_weird_init */
#define static_init_charset {}
########################################
echo $LANG = en_US

My env:
i have AIX 5.3 and i have compiled samba with gcc new on this Machine. it is a LPAR p690.
We have a WIndows 2003 Server in native mode ADS. 
i didn't upgrade the older version. all old versions of SAMBa on 3.0.11 are running well. It is my test environment to find out about new version and implement it to p5 AIX 5.3.
Now i am affraid, that ia have to setup many Windows users to AIX on new environment. Because i won't have the SAMBA to act as logon server for Windows world.
a debug level 10 is inclueded as you wich. please keep it saved
Comment 8 William Jojo 2006-01-06 10:25:24 UTC
(In reply to comment #5)
> Created an attachment (id=1650) [edit]
> log.nmbd
> please keep it saved.thanks

ok, are you using libiconv 1.9.x? what does "ldd /pathto/nmbd" return? I'm wondering if this is picking up IBM's libiconv.
Comment 9 William Jojo 2006-01-07 08:53:28 UTC
(In reply to comment #8)
> (In reply to comment #5)
> > Created an attachment (id=1650) [edit]
> > log.nmbd
> > please keep it saved.thanks
> ok, are you using libiconv 1.9.x? what does "ldd /pathto/nmbd" return? I'm
> wondering if this is picking up IBM's libiconv.

This looks like bug #2848 as well...on Solaris.
Comment 10 ketabchy 2006-01-08 22:25:36 UTC
No i don't think so.
OUTPUT ldd /../nmbd
ldd /usr/local/samba/sbin/nmbd
/usr/local/samba/sbin/nmbd needs:
         /opt/freeware/lib/gcc-lib/powerpc-ibm-aix5.3.0.0/3.3.2/../../../libpopt.so
         /usr/lib/libc.a(shr.o)
         /usr/lib/libc.a(posix_aio.o)
         /usr/lib/librtl.a(shr.o)
         /unix
         /usr/lib/libcrypt.a(shr.o)

the USERMAP works now fine. Some Listinguser from SAMBA has send me a very easy solution. i habe to edit usermap file for windows users like:
domain\user and it works now for mapping Network drive from samba.
the charset remains as problem.
Comment 11 Gerald (Jerry) Carter 2006-01-09 06:45:32 UTC
Fixing summary
Comment 12 William Jojo 2006-01-10 05:28:23 UTC
(In reply to comment #10)
> No i don't think so.
> OUTPUT ldd /../nmbd
> ldd /usr/local/samba/sbin/nmbd
> /usr/local/samba/sbin/nmbd needs:
>         
> /opt/freeware/lib/gcc-lib/powerpc-ibm-aix5.3.0.0/3.3.2/../../../libpopt.so
>          /usr/lib/libc.a(shr.o)
>          /usr/lib/libc.a(posix_aio.o)
>          /usr/lib/librtl.a(shr.o)
>          /unix
>          /usr/lib/libcrypt.a(shr.o)
> the USERMAP works now fine. Some Listinguser from SAMBA has send me a very easy
> solution. i habe to edit usermap file for windows users like:
> domain\user and it works now for mapping Network drive from samba.
> the charset remains as problem.


This is definitely a libiconv problem. Your default settings:

>         dos charset = ASCII
>         unix charset = UTF8
>         display charset = LOCALE

Can only be set if you have a deficient libiconv (like IBM's) Notice it doesn't say CP850&UTF-8, but ASCII and UTF8. Configure will set these if it can't convert properly. Display always says LOCALE, but yours will be ASCII

grep CHARSET include/config.h

(I forgot to upcase it last time)

"grep -i iconv config.log" or "grep -i warning config.log" and I'll bet you'll see a warning about "Sufficient support for iconv function was not found."

Cheers,

Bill
Comment 13 Gerald (Jerry) Carter 2007-04-03 23:08:40 UTC
Bill says to close:

> 3377 can be closed as a libiconv error. Using IBM's is painful.
> Recommend using GNU (obviously).